| Flutter macOS Embedder |

Public Member Functions | List of all members
flutter::PlatformViewLayer Class Reference

Represents a platform view layer, including all mutations. More...

`#include <FlutterMutatorView.h>`

## Public Member Functions
| PlatformViewLayer (const FlutterLayer *_Nonnull layer)
| PlatformViewLayer (FlutterPlatformViewIdentifier identifier, const std::vector< FlutterPlatformViewMutation > &mutations, FlutterPoint offset, FlutterSize size)
FlutterPlatformViewIdentifier | identifier () const
const std::vector< FlutterPlatformViewMutation > & | mutations () const
FlutterPoint | offset () const
FlutterSize | size () const

## Detailed Description

Represents a platform view layer, including all mutations.

Definition at line 16 of file FlutterMutatorView.h.

## Constructor & Destructor Documentation

## ◆ PlatformViewLayer() [1/2]

flutter::PlatformViewLayer::PlatformViewLayer | ( | const FlutterLayer *_Nonnull | layer | ) |
| explicit

Creates platform view from provided FlutterLayer, which must be of type kFlutterLayerContentTypePlatformView.

## ◆ PlatformViewLayer() [2/2]

flutter::PlatformViewLayer::PlatformViewLayer | ( | FlutterPlatformViewIdentifier | identifier,
|  | const std::vector< FlutterPlatformViewMutation > & | mutations,
|  | FlutterPoint | offset,
|  | FlutterSize | size
| ) |  |

Definition at line 26 of file FlutterMutatorView.mm.

30 : identifier_(identifier), mutations_(mutations), offset_(offset), size_(size) {}

## Member Function Documentation

## ◆ identifier()

FlutterPlatformViewIdentifier flutter::PlatformViewLayer::identifier | ( |  | ) | const
| inline

Definition at line 27 of file FlutterMutatorView.h.

27 { return identifier_; }

## ◆ mutations()

const std::vector<FlutterPlatformViewMutation>& flutter::PlatformViewLayer::mutations | ( |  | ) | const
| inline

Definition at line 28 of file FlutterMutatorView.h.

28 { return mutations_; }

## ◆ offset()

FlutterPoint flutter::PlatformViewLayer::offset | ( |  | ) | const
| inline

Definition at line 29 of file FlutterMutatorView.h.

29 { return offset_; }

## ◆ size()

FlutterSize flutter::PlatformViewLayer::size | ( |  | ) | const
| inline

Definition at line 30 of file FlutterMutatorView.h.

30 { return size_; }

The documentation for this class was generated from the following files:

- shell/platform/darwin/macos/framework/Source/FlutterMutatorView.h
- shell/platform/darwin/macos/framework/Source/FlutterMutatorView.mm

flutter::PlatformViewLayer::size
FlutterSize size() const
Definition: FlutterMutatorView.h:30
flutter::PlatformViewLayer::offset
FlutterPoint offset() const
Definition: FlutterMutatorView.h:29
flutter::PlatformViewLayer::identifier
FlutterPlatformViewIdentifier identifier() const
Definition: FlutterMutatorView.h:27
flutter::PlatformViewLayer::mutations
const std::vector< FlutterPlatformViewMutation > & mutations() const
Definition: FlutterMutatorView.h:28